### Constructor

# Panel ToggleButton new

#### Declaration [src]

    GtkWidget*
    panel_toggle_button_new (
      PanelDock* dock,
      PanelArea area
    )

#### Description [src]

Creates a new `PanelToggleButton` to hide the `dock` in the `area`.

#### Parameters

`dock`

  Type: `PanelDock`

  `PanelDock` the panel to control.

  The data is owned by the caller of the function.

`area`

  Type: `PanelArea`

  `PanelArea` the panel area. A value of `PANEL_AREA_CENTER` is invalid.

#### Return value

Type: `GtkWidget`

A newly created `PanelToggleButton`.

The data is owned by the called function.